You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@superset.apache.org by cr...@apache.org on 2020/11/30 17:36:19 UTC

[incubator-superset] branch master updated: feat: Option to run npm dev-server (hot reload) while calling docker-compose up (#11238)

This is an automated email from the ASF dual-hosted git repository.

craigrueda pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-superset.git


The following commit(s) were added to refs/heads/master by this push:
     new 16e69f1  feat: Option to run npm dev-server (hot reload) while calling docker-compose up (#11238)
16e69f1 is described below

commit 16e69f1131ad9ade45ef20bb7525a766ce047848
Author: adam-stasiak-polidea <ad...@polidea.com>
AuthorDate: Mon Nov 30 18:35:58 2020 +0100

    feat: Option to run npm dev-server (hot reload) while calling docker-compose up (#11238)
    
    * Configured docker to be able running dev-server instead of frontend dev script
    
    * reverted changes
    
    * license fix
---
 docker-compose.yml        |  2 +-
 docker/docker-frontend.sh | 25 +++++++++++++++++++++++++
 2 files changed, 26 insertions(+), 1 deletion(-)

diff --git a/docker-compose.yml b/docker-compose.yml
index 7d44b11..c58f12f 100644
--- a/docker-compose.yml
+++ b/docker-compose.yml
@@ -70,7 +70,7 @@ services:
   superset-node:
     image: node:12
     container_name: superset_node
-    command: ["bash", "-c", "cd /app/superset-frontend && npm install -f --no-optional --global webpack webpack-cli && npm install -f --no-optional && npm run dev"]
+    command: ["/app/docker/docker-frontend.sh"]
     env_file: docker/.env
     depends_on: *superset-depends-on
     volumes: *superset-volumes
diff --git a/docker/docker-frontend.sh b/docker/docker-frontend.sh
new file mode 100755
index 0000000..b88215c
--- /dev/null
+++ b/docker/docker-frontend.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+set -e
+
+cd /app/superset-frontend
+npm install -f --no-optional --global webpack webpack-cli
+npm install -f --no-optional
+
+echo "Running frontend"
+npm run dev